.spoiler {
    margin-bottom: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
}

.spoiler-header {
    padding: 10px;
    background-color: #f5f5f5;
    cursor: pointer;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.spoiler-header:hover {
    background-color: #e0e0e0;
}

.spoiler-content {
    display: none;
    padding: 15px;
    background-color: #fff;
}

.spoiler-content img {
    max-width: 75%;
    height: auto;
    margin-top: 10px;
    margin-left: 20px;
}

.spoiler-content.active {
    display: block;
    animation: slideDown 0.3s ease-in-out;
}

@keyframes slideDown {
    from {
        height: 0;
        opacity: 0;
    }
    to {
        height: auto;
        opacity: 1;
    }
}

.spoiler-arrow::after {
    content: '';
    display: inline-block;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #000; /* Черная стрелка вниз */
    transition: transform 0.3s;
}

.spoiler-arrow.active::after {
    transform: rotate(180deg);
}

/* Стили для модального окна */
.modal-inside_spoilers {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}

.modal-inside_spoilers-content {
    max-width: 60%;
    max-height: 60%;
    object-fit: contain;
}

.modal-inside_spoilers-close {
    position: absolute;
    top: 20px;
    right: 20px;
    color: #fff;
    font-size: 30px;
    cursor: pointer;
    background: none;
    border: none;
}